Package twisted :: Package xish :: Module xpathparser

[frames | no frames]

## Module twisted.xish.xpathparser

Classes
`Parser` |
`Scanner` |
`XPathParser` |
`XPathParserScanner` |

Exceptions
`NoMoreTokens` | Another exception object, for when we run out of tokens
`SyntaxError` | When we run into an unexpected token, this is the exception to use

Function Summary
| `parse(rule, text)`
| ``print_error`(input, err, scanner)` This is a really dumb long function to print error messages nicely.
| `wrap_error_reporter(parser, rule)`

Function Details

### print_error(input, err, scanner)

This is a really dumb long function to print error messages nicely.

Generated by Epydoc 2.0 on Wed Feb 25 07:37:21 2004 | http://epydoc.sf.net